GETGet transaction summaries

Retrieves summary information for an account's on-chain committed transactions (both sequence-number-based and unordered transactions). Each transaction summary includes sender address, transaction hash, version, and replay protection nonce.

  • If start_version is provided, transaction summaries starting from that version are returned.
  • If start_version is not provided and only end_version is provided, transaction summaries ending at end_version are returned.
  • If both start_version and end_version are not provided, the account's most recent committed transaction summary is returned.
  • Output is always composed of transaction summaries sorted in ascending order by version.
  • To query pending transactions, use the Get Transaction by Hash API.
Path Parameters
addressstringrequired

The address of the account to retrieve. Account addresses without the hexadecimal prefix can also be queried.

Query Parameters
limitinteger

The maximum number of account modules to fetch. If no value is provided, the default page size is used.

startstring

A cursor that specifies the starting position for pagination.

This cursor cannot be arbitrarily generated on the client side. You must first call this endpoint without specifying this query parameter, then use the cursor returned in the X-Aptos-Cursor header of the response.

Responses
Headers
X-APTOS-BLOCK-HEIGHTintegerrequired

Current block height of the chain

예: 0

X-APTOS-CHAIN-IDintegerrequired

Chain ID of the current chain

예: 0

X-APTOS-EPOCHintegerrequired

Current epoch of the chain

예: 0

X-APTOS-LEDGER-OLDEST-VERSIONintegerrequired

Oldest unpruned ledger version of the chain

예: 0

X-APTOS-LEDGER-TIMESTAMPUSECintegerrequired

Current timestamp of the chain

예: 0

X-APTOS-LEDGER-VERSIONintegerrequired

Current ledger version of the chain

예: 0

X-APTOS-OLDEST-BLOCK-HEIGHTintegerrequired

Oldest unpruned block height of the chain

예: 0

X-APTOS-CURSORstring

Cursor for the next page

예: string

X-APTOS-GAS-USEDinteger

Amount of gas actually used for transaction execution

예: 0

X-API-KEY
RequestCU26
cURL
curl -X GET "https://aptos-mainnet.nodit.io/v1/accounts/0x1/transaction_summaries?limit=0&start=0000000000000000000000000000000000000000000000000000000000000000012f0000000000000000000000000000000000000000000000000000000000000000010d7374616b696e675f70726f7879" \
  -H "X-API-KEY: {YOUR_API_KEY}"
Response
Header · 200
{
  "X-APTOS-BLOCK-HEIGHT": 0,
  "X-APTOS-CHAIN-ID": 0,
  "X-APTOS-EPOCH": 0,
  "X-APTOS-LEDGER-OLDEST-VERSION": 0,
  "X-APTOS-LEDGER-TIMESTAMPUSEC": 0,
  "X-APTOS-LEDGER-VERSION": 0,
  "X-APTOS-OLDEST-BLOCK-HEIGHT": 0,
  "X-APTOS-CURSOR": "string",
  "X-APTOS-GAS-USED": 0
}
Body · 200
[
  {
    "version": "223509841",
    "hash": "0x67c6d8698c3f41dc4fee191668301b753b57f8c4f2368c4795ee28ef1f283b81",
    "state_change_hash": "0xafb6e14fe47d850fd0a7395bcfb997ffacf4715e0f895cc162c218e4a7564bc6",
    "event_root_hash": "0x414343554d554c41544f525f504c414345484f4c4445525f4841534800000000",
    "state_checkpoint_hash": "0x4bbcd8d72e714d2e019f669e119d73169f7d378950ba34b27900fb9199cc73ec",
    "gas_used": "0",
    "success": true,
    "vm_status": "Executed successfully",
    "accumulator_root_hash": "0x5232557c436793e73468483a5488d0d3825b08792050ef06e3a03dfb002d2b40",
    "changes": [],
    "timestamp": "1691977636550021",
    "type": "state_checkpoint_transaction"
  }
]